<?php
    
    namespace Models;


    class InvoiceHelper{
        public $customerId;
        public $locationId;
        public $departmentId;
        public $accountId;
        public $classId;
        public $termsId;
        public $itemId;
        public $amount;
        public $cfdiUsageId;
        public $subsidiary;
        public $custbody_psg_ei_template;
        
        function getId($text, $categories){
            $encontrado = false;
            $encontradoId = null;

            foreach ($categories as $id => $texto) {
                if (stripos($texto, $text) !== false) {
                    $encontrado = true;
                    $encontradoId = $id;
                    break; // Termina el bucle una vez que se encuentra la coincidencia
                }
            }

            if ($encontrado) {
                error_log("ID encontrado: " . $encontradoId);
                return $encontradoId;
            } else {
                error_log("Texto ". $text." no encontrado en las categorías");
                return null;
            }
        }
    }
?>